-- 基础信息
base_info = {
	group_id = 133002097
}

-- DEFS_MISCS
defs = {
        group_id = 133002097,
        gadget_prison_list = {97001},
        gadget_guide = {97052,97059,97060},
        bait_list = {
                [1] = {97053,97054,97055},
                [2] = {97002,97003,97004},
                [3] = {97056,97057,97058},
        },
        duration = 210,
        rampage_time = 40,
        gadget_energy = 97051,
        galleryId = 7042,
        eye_point = 97068
}


local energy_info = {
        [1] = { time = 100, step = {-30,30},points = {97073,97074,97075,97076,97077,97078}},
       -- [2] = { time = 160, points = {97073,97074,97075,97076,97077,97078}},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[97001] = { config_id = 97001, gadget_id = 70800087, pos = { x = 1775.350, y = 221.863, z = -388.266 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵1
	[97002] = { config_id = 97002, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -398.823 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵2
	[97003] = { config_id = 97003, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -398.047 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[97004] = { config_id = 97004, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -397.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	[97005] = { config_id = 97005, gadget_id = 44000256, pos = { x = 1789.656, y = 221.863, z = -396.711 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97006] = { config_id = 97006, gadget_id = 44000256, pos = { x = 1789.069, y = 221.863, z = -398.840 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97007] = { config_id = 97007, gadget_id = 44000256, pos = { x = 1791.007, y = 223.178, z = -391.660 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97008] = { config_id = 97008, gadget_id = 44000256, pos = { x = 1780.870, y = 223.179, z = -385.709 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97009] = { config_id = 97009, gadget_id = 44000256, pos = { x = 1773.836, y = 223.179, z = -382.124 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, level = 1, area_id = 3 },
	[97010] = { config_id = 97010, gadget_id = 44000256, pos = { x = 1764.072, y = 223.288, z = -376.610 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97011] = { config_id = 97011, gadget_id = 44000256, pos = { x = 1755.556, y = 223.194, z = -380.957 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97012] = { config_id = 97012, gadget_id = 44000256, pos = { x = 1750.313, y = 223.194, z = -390.849 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97013] = { config_id = 97013, gadget_id = 44000256, pos = { x = 1741.922, y = 223.194, z = -406.035 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97014] = { config_id = 97014, gadget_id = 44000256, pos = { x = 1743.274, y = 223.178, z = -417.072 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[97015] = { config_id = 97015, gadget_id = 44000256, pos = { x = 1751.160, y = 223.178, z = -424.405 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[97016] = { config_id = 97016, gadget_id = 44000256, pos = { x = 1759.687, y = 223.178, z = -430.434 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97017] = { config_id = 97017, gadget_id = 44000256, pos = { x = 1769.260, y = 223.178, z = -431.330 }, rot = { x = 0.000, y = 355.000, z = 0.000 }, level = 1, area_id = 3 },
	[97018] = { config_id = 97018, gadget_id = 44000256, pos = { x = 1781.023, y = 223.178, z = -425.475 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97019] = { config_id = 97019, gadget_id = 44000256, pos = { x = 1786.133, y = 223.178, z = -415.612 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[97020] = { config_id = 97020, gadget_id = 44000256, pos = { x = 1794.791, y = 218.308, z = -379.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97021] = { config_id = 97021, gadget_id = 44000256, pos = { x = 1789.504, y = 218.802, z = -377.010 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97022] = { config_id = 97022, gadget_id = 44000256, pos = { x = 1788.078, y = 223.046, z = -391.288 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 3 },
	[97023] = { config_id = 97023, gadget_id = 44000256, pos = { x = 1774.049, y = 220.084, z = -374.142 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97024] = { config_id = 97024, gadget_id = 44000256, pos = { x = 1775.930, y = 220.469, z = -370.901 }, rot = { x = 0.000, y = 15.000, z = 0.000 }, level = 1, area_id = 3 },
	[97025] = { config_id = 97025, gadget_id = 44000256, pos = { x = 1801.080, y = 221.796, z = -404.981 }, rot = { x = 0.000, y = 42.000, z = 0.000 }, level = 1, area_id = 3 },
	[97026] = { config_id = 97026, gadget_id = 44000256, pos = { x = 1802.491, y = 223.026, z = -402.903 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97027] = { config_id = 97027, gadget_id = 44000257, pos = { x = 1771.970, y = 216.871, z = -362.915 }, rot = { x = 0.000, y = 15.000, z = 0.000 }, level = 1, area_id = 3 },
	[97028] = { config_id = 97028, gadget_id = 44000257, pos = { x = 1770.953, y = 216.762, z = -362.062 }, rot = { x = 0.000, y = 1.000, z = 0.000 }, level = 1, area_id = 3 },
	[97029] = { config_id = 97029, gadget_id = 44000257, pos = { x = 1769.817, y = 216.779, z = -361.713 }, rot = { x = 0.000, y = 78.000, z = 0.000 }, level = 1, area_id = 3 },
	[97030] = { config_id = 97030, gadget_id = 44000257, pos = { x = 1744.136, y = 166.834, z = -382.543 }, rot = { x = 0.000, y = 56.000, z = 0.000 }, level = 1, area_id = 3 },
	[97031] = { config_id = 97031, gadget_id = 44000257, pos = { x = 1742.834, y = 187.804, z = -380.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97032] = { config_id = 97032, gadget_id = 44000257, pos = { x = 1740.814, y = 168.973, z = -382.585 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97033] = { config_id = 97033, gadget_id = 44000257, pos = { x = 1798.216, y = 222.026, z = -412.845 }, rot = { x = 0.000, y = 89.000, z = 0.000 }, level = 1, area_id = 3 },
	[97034] = { config_id = 97034, gadget_id = 44000257, pos = { x = 1800.557, y = 221.343, z = -411.868 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 1, area_id = 3 },
	[97035] = { config_id = 97035, gadget_id = 44000257, pos = { x = 1799.494, y = 221.529, z = -410.719 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[97036] = { config_id = 97036, gadget_id = 44000257, pos = { x = 1798.884, y = 221.639, z = -409.272 }, rot = { x = 0.000, y = 45.000, z = 0.000 }, level = 1, area_id = 3 },
	[97037] = { config_id = 97037, gadget_id = 44000257, pos = { x = 1797.800, y = 218.205, z = -379.157 }, rot = { x = 0.000, y = 24.000, z = 0.000 }, level = 1, area_id = 3 },
	[97038] = { config_id = 97038, gadget_id = 44000257, pos = { x = 1796.115, y = 218.288, z = -377.784 }, rot = { x = 0.000, y = 76.000, z = 0.000 }, level = 1, area_id = 3 },
	[97039] = { config_id = 97039, gadget_id = 44000257, pos = { x = 1776.159, y = 219.614, z = -374.647 }, rot = { x = 0.000, y = 96.000, z = 0.000 }, level = 1, area_id = 3 },
	[97040] = { config_id = 97040, gadget_id = 44000257, pos = { x = 1772.674, y = 219.570, z = -372.575 }, rot = { x = 0.000, y = 123.000, z = 0.000 }, level = 1, area_id = 3 },
	[97041] = { config_id = 97041, gadget_id = 44000257, pos = { x = 1752.460, y = 218.085, z = -367.738 }, rot = { x = 0.000, y = 324.000, z = 0.000 }, level = 1, area_id = 3 },
	[97042] = { config_id = 97042, gadget_id = 44000257, pos = { x = 1754.476, y = 218.933, z = -369.820 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 1, area_id = 3 },
	[97043] = { config_id = 97043, gadget_id = 44000257, pos = { x = 1762.882, y = 218.443, z = -367.150 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97044] = { config_id = 97044, gadget_id = 44000257, pos = { x = 1761.297, y = 217.696, z = -364.589 }, rot = { x = 0.000, y = 23.000, z = 0.000 }, level = 1, area_id = 3 },
	[97045] = { config_id = 97045, gadget_id = 44000257, pos = { x = 1762.923, y = 220.117, z = -371.924 }, rot = { x = 0.000, y = 183.000, z = 0.000 }, level = 1, area_id = 3 },
	[97046] = { config_id = 97046, gadget_id = 44000257, pos = { x = 1787.059, y = 221.863, z = -410.508 }, rot = { x = 0.000, y = 33.000, z = 0.000 }, level = 1, area_id = 3 },
	[97047] = { config_id = 97047, gadget_id = 44000257, pos = { x = 1788.519, y = 221.863, z = -408.995 }, rot = { x = 0.000, y = 45.000, z = 0.000 }, level = 1, area_id = 3 },
	[97048] = { config_id = 97048, gadget_id = 44000257, pos = { x = 1753.063, y = 221.863, z = -393.370 }, rot = { x = 0.000, y = 111.000, z = 0.000 }, level = 1, area_id = 3 },
	[97049] = { config_id = 97049, gadget_id = 44000257, pos = { x = 1751.302, y = 221.863, z = -394.632 }, rot = { x = 0.000, y = 77.000, z = 0.000 }, level = 1, area_id = 3 },
	[97050] = { config_id = 97050, gadget_id = 44000257, pos = { x = 1752.297, y = 221.863, z = -391.601 }, rot = { x = 0.000, y = 34.000, z = 0.000 }, level = 1, area_id = 3 },
	[97051] = { config_id = 97051, gadget_id = 44000105, pos = { x = 1797.611, y = 221.213, z = -396.921 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	-- 场景猎人引导1
	[97052] = { config_id = 97052, gadget_id = 44000106, pos = { x = 1773.916, y = 221.863, z = -398.823 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵1
	[97053] = { config_id = 97053, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -397.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵2
	[97054] = { config_id = 97054, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -397.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[97055] = { config_id = 97055, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -397.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵1
	[97056] = { config_id = 97056, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -397.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵2
	[97057] = { config_id = 97057, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -397.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景诱饵3
	[97058] = { config_id = 97058, gadget_id = 44000107, pos = { x = 1773.916, y = 221.863, z = -397.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景猎人引导2
	[97059] = { config_id = 97059, gadget_id = 44000106, pos = { x = 1773.916, y = 221.863, z = -398.823 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	-- 场景猎人引导3
	[97060] = { config_id = 97060, gadget_id = 44000106, pos = { x = 1773.916, y = 221.863, z = -398.823 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 3 },
	[97061] = { config_id = 97061, gadget_id = 70310055, pos = { x = 1766.288, y = 211.853, z = -388.984 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[97065] = { config_id = 97065, gadget_id = 70310008, pos = { x = 1754.400, y = 215.470, z = -408.000 }, rot = { x = 90.000, y = 27.000, z = 0.000 }, level = 1, area_id = 3 },
	[97066] = { config_id = 97066, gadget_id = 70310008, pos = { x = 1757.740, y = 215.470, z = -409.700 }, rot = { x = 90.000, y = 27.000, z = 0.000 }, level = 1, area_id = 3 }
}

-- 区域
regions = {
	[97067] = { config_id = 97067, shape = RegionShape.SPHERE, radius = 200, pos = { x = 1776.720, y = 221.863, z = -385.954 }, area_id = 3 },
	[97068] = { config_id = 97068, shape = RegionShape.SPHERE, radius = 80, pos = { x = 1762.064, y = 221.990, z = -385.745 }, area_id = 3 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 97069, pos = { x = 1775.376, y = 221.863, z = -388.318 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	{ config_id = 97070, pos = { x = 1781.964, y = 220.406, z = -381.205 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	{ config_id = 97071, pos = { x = 1779.834, y = 220.147, z = -379.495 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	{ config_id = 97072, pos = { x = 1776.827, y = 220.407, z = -378.220 }, rot = { x = 0.000, y = 28.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 97073, pos = { x = 1797.611, y = 221.213, z = -396.921 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 97074, pos = { x = 1776.564, y = 224.511, z = -412.960 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 97075, pos = { x = 1758.809, y = 221.104, z = -374.806 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 97076, pos = { x = 1760.024, y = 222.126, z = -416.933 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 97077, pos = { x = 1792.469, y = 222.024, z = -379.756 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机点1
	{ config_id = 97078, pos = { x = 1744.400, y = 221.863, z = -402.698 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 }
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
	gadgets = {
		{ config_id = 97062, gadget_id = 70310066, pos = { x = 1753.367, y = 221.863, z = -385.748 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
		{ config_id = 97063, gadget_id = 44000257, pos = { x = 1755.257, y = 221.863, z = -405.734 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
		{ config_id = 97064, gadget_id = 44000257, pos = { x = 1757.724, y = 221.863, z = -406.669 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 }
	}
}

-- 视野组
sight_groups = {
	{ 97001, 97051, 97052, 97059, 97060 }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = 100%必刷,
		monsters = { },
		gadgets = { 97001 },
		regions = { 97067, 97068 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = 50%刷,
		monsters = { },
		gadgets = { 97005, 97006, 97007, 97008, 97009, 97010, 97011, 97012, 97013, 97014, 97015, 97016, 97017, 97018, 97019, 97020, 97021, 97022, 97023, 97024, 97025, 97026, 97027, 97028, 97029, 97030, 97031, 97032, 97033, 97034, 97035, 97036, 97037, 97038, 97039, 97040, 97041, 97042, 97043, 97044, 97045, 97046, 97047, 97048, 97049, 97050 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 能量球,
		monsters = { },
		gadgets = { 97061, 97065, 97066 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 预留,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_4/HideAndSeek_Gallery_V2"
require "V2_4/HideAndSeek_Skill_V2"
